Post Compatible Subnets

Post Compatible Subnets

Sets which subnet to use to link accounts and finishes the linking process

Request
URI
POST
https://vmc.vmware.com/vmc/api/orgs/{org}/account-link/compatible-subnets
COPY
Path Parameters
string
org
Required

Organization identifier.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AwsSubnet of type(s) application/json
{
    "availability_zone": "string",
    "vpc_id": "string",
    "connected_account_id": "string",
    "name": "string",
    "subnet_id": "string",
    "is_compatible": false,
    "region_name": "string",
    "subnet_cidr_block": "string",
    "vpc_cidr_block": "string"
}
string
availability_zone
Optional

The availability zone this subnet is in, which should be the region name plus one extra letter (ex. us-west-2a).

string
vpc_id
Optional

The VPC ID the subnet resides in within AWS. Tends to be 'vpc-#######'.

string
connected_account_id
Optional

The connected account ID this subnet is accessible through. This is an internal ID formatted as a UUID specific to Skyscraper.

string
name
Optional

Optional field (may not be provided by AWS), indicates the found name tag for the subnet.

string
subnet_id
Optional

The subnet ID in AWS, provided in the form 'subnet-######'.

boolean
is_compatible
Optional

Flag indicating whether this subnet is compatible. If true, this is a valid choice for the customer to deploy a SDDC in.

string
region_name
Optional

The region this subnet is in, usually in the form of country code, general location, and a number (ex. us-west-2).

string
subnet_cidr_block
Optional

The CIDR block of the subnet, in the form of '#.#.#.#/#'.

string
vpc_cidr_block
Optional

The CIDR block of the VPC, in the form of '#.#.#.#/#'.


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure